"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const result_type_finder_1 = require("./result-type-finder");
class DiffClassifier {
    static classifyDifferences(differences) {
        const classifiedDiffResults = {
            breakingDifferences: [],
            nonBreakingDifferences: [],
            unclassifiedDifferences: []
        };
        differences
            .map(DiffClassifier.differenceToDiffResult)
            .forEach((diffResult) => {
            switch (diffResult.type) {
                case 'breaking':
                    classifiedDiffResults.breakingDifferences.push(diffResult);
                    break;
                case 'non-breaking':
                    classifiedDiffResults.nonBreakingDifferences.push(diffResult);
                    break;
                case 'unclassified':
                    classifiedDiffResults.unclassifiedDifferences.push(diffResult);
                    break;
            }
        });
        return classifiedDiffResults;
    }
    static differenceToDiffResult(difference) {
        const type = result_type_finder_1.resultTypeFinder.lookup(difference.code);
        return Object.assign({ type }, difference);
    }
}
exports.DiffClassifier = DiffClassifier;
