"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const find_diffs_in_paths_1 = require("./diff-finder/find-diffs-in-paths");
const find_diffs_in_x_properties_1 = require("./diff-finder/find-diffs-in-x-properties");
class DiffFinder {
    static findDifferences(specs) {
        const topLevelXPropertiesDiffs = find_diffs_in_x_properties_1.findDiffsInXProperties(specs.sourceSpec.xProperties, specs.destinationSpec.xProperties, 'xProperties');
        const pathDiffs = find_diffs_in_paths_1.findDiffsInPaths(specs.sourceSpec.paths, specs.destinationSpec.paths);
        const allDiffs = [...topLevelXPropertiesDiffs, ...pathDiffs];
        return Promise.resolve(allDiffs);
    }
}
exports.DiffFinder = DiffFinder;
