"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const findEntityForDiff = (propertyName) => {
    return propertyName.includes('xProperties')
        ? 'unclassified'
        : `${propertyName}`;
};
const createSpecEntityDetails = (parsedProperty) => {
    return parsedProperty
        ? {
            location: parsedProperty.originalPath.join('.'),
            value: parsedProperty.value
        }
        : {
            location: undefined,
            value: undefined
        };
};
exports.createDifference = (options) => {
    const entity = findEntityForDiff(options.propertyName);
    return {
        action: options.action,
        code: `${entity}.${options.action}`,
        destinationSpecEntityDetails: createSpecEntityDetails(options.destinationObject),
        entity,
        source: 'openapi-diff',
        sourceSpecEntityDetails: createSpecEntityDetails(options.sourceObject)
    };
};
