"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const openapi3_parser_1 = require("./spec-parser/openapi3-parser");
const swagger2_parser_1 = require("./spec-parser/swagger2-parser");
const isSwagger2 = (spec) => {
    return spec.hasOwnProperty('swagger');
};
exports.specParser = {
    parse: (spec, location) => __awaiter(this, void 0, void 0, function* () {
        return isSwagger2(spec)
            ? swagger2_parser_1.validateAndParseSwagger2Spec(spec, location)
            : openapi3_parser_1.parseOpenApi3Spec(spec);
    })
};
