"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const isXProperty = (propertyPath) => {
    return propertyPath.startsWith('x-');
};
exports.parseXPropertiesInObject = (object) => {
    return Object.keys(object)
        .filter(isXProperty)
        .reduce((xProperties, currentKey) => {
        xProperties[currentKey] = { originalPath: [currentKey], value: object[currentKey] };
        return xProperties;
    }, {});
};
