"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const parse_x_properties_1 = require("./common/parse-x-properties");
const parsePaths = (paths) => Object.keys(paths).map((pathName) => ({
    originalValue: {
        originalPath: ['paths', pathName],
        value: paths[pathName]
    },
    pathName
}));
const validateOpenApi3 = (openApi3Spec) => openApi3Spec;
exports.parseOpenApi3Spec = (openApi3Spec) => {
    const validatedOpenApi3Spec = validateOpenApi3(openApi3Spec);
    return {
        basePath: {
            originalPath: ['basePath'],
            value: undefined
        },
        format: 'openapi3',
        paths: parsePaths(validatedOpenApi3Spec.paths),
        schemes: {
            originalPath: ['schemes'],
            value: undefined
        },
        xProperties: parse_x_properties_1.parseXPropertiesInObject(validatedOpenApi3Spec)
    };
};
